/*---------------------------------------------------------------------------
 * File Name: t3pl_general.h
 *
 * Copyright 2001-2004 Telelogic AB, All rights reserved.
 *
 * This Program is owned by Telelogic and is protected by national
 * copyright laws and international copyright treaties. Telelogic
 * grants you the right to use this Program on one computer or in one
 * local computer network at any one time.  Under this License you may
 * only modify the source code for the purpose of adapting it to your
 * environment. You must reproduce and include any copyright and
 * trademark notices on all copies of the source code.  You may not
 * use, copy, merge, modify or transfer the Program except as provided
 * in this License.  Telelogic does not warrant that the Program will
 * meet your requirements or that the operation of the Program will be
 * uninterrupted and error free. You are solely responsible that the
 * selection of the Program and the modification of the source code
 * will achieve your intended results and that the results are
 * actually obtained.
 */


#ifndef __t3pl_general_h
#define __t3pl_general_h

#ifdef __cplusplus
extern "C" {
#endif

#include "t3rts.h"


void
t3pl_general_prepare_testcase(const char* module, 
                              const char* testcase, 
                              t3rt_type_t mtc_type, 
                              t3rt_type_t system_type,
                              t3rt_context_t ctx);

void
t3pl_general_postprocess_testcase(const char* module, 
                                  const char* testcase, 
                                  t3rt_type_t mtc_type, 
                                  t3rt_type_t system_type,
                                  t3rt_context_t ctx);

void
t3pl_general_testcase_terminated(const char* module, 
                                 const char* testcase, 
                                 t3rt_type_t mtc_type, 
                                 t3rt_type_t system_type,
                                 t3rt_context_t ctx);

void
t3pl_general_control_terminated(const char* module, 
                                t3rt_context_t ctx);

void
t3pl_call_external_function(t3rt_type_t signature_type, 
                            t3rt_value_t parameters[], 
                            t3rt_value_t return_value, 
                            t3rt_context_t ctx);

#ifdef __cplusplus
}
#endif

#endif

/* End of File */

