/*---------------------------------------------------------------------------
 * File Name: t3rts_common.h
 *
 * Copyright 2001-2004 Telelogic AB, All rights reserved.
 *
 * This Program is owned by Telelogic and is protected by national
 * copyright laws and international copyright treaties. Telelogic
 * grants you the right to use this Program on one computer or in one
 * local computer network at any one time.  Under this License you may
 * only modify the source code for the purpose of adapting it to your
 * environment. You must reproduce and include any copyright and
 * trademark notices on all copies of the source code.  You may not
 * use, copy, merge, modify or transfer the Program except as provided
 * in this License.  Telelogic does not warrant that the Program will
 * meet your requirements or that the operation of the Program will be
 * uninterrupted and error free. You are solely responsible that the
 * selection of the Program and the modification of the source code
 * will achieve your intended results and that the results are
 * actually obtained.
 */

#ifndef __t3rts_common_h
#define __t3rts_common_h

#ifdef __cplusplus
extern "C" {
#endif

#include "t3rts_context_decl.h"


#if defined(_WIN32) && ! defined(WIN32_GCC)   /* Win32 platform */
typedef __int64 t3rt_long_integer_t;
typedef unsigned __int64 t3rt_unsigned_long_integer_t;
#define t3rt_long_integer_literal(n) (n##i64)
#define t3rt_unsigned_long_integer_literal(n) (n##ui64)
#else /* UNIX platform */
typedef long long t3rt_long_integer_t;
typedef unsigned long long t3rt_unsigned_long_integer_t;
#define t3rt_long_integer_literal(n) (n##LL)
#define t3rt_unsigned_long_integer_literal(n) (n##ULL)
#endif

typedef int t3rt_boolean_t;
#if !defined(__cplusplus) && !defined(bool)
#define bool t3rt_boolean_t 
#define false 0
#define true !false
#endif


unsigned long
t3rt__hash_value(unsigned long hash_limit, const char* str);

#ifdef __cplusplus
}
#endif

#endif

/* End of File */

