/*---------------------------------------------------------------------------
 * File Name: t3rts_context.h
 *
 * Copyright 2001-2004 Telelogic AB, All rights reserved.
 *
 * This Program is owned by Telelogic and is protected by national
 * copyright laws and international copyright treaties. Telelogic
 * grants you the right to use this Program on one computer or in one
 * local computer network at any one time.  Under this License you may
 * only modify the source code for the purpose of adapting it to your
 * environment. You must reproduce and include any copyright and
 * trademark notices on all copies of the source code.  You may not
 * use, copy, merge, modify or transfer the Program except as provided
 * in this License.  Telelogic does not warrant that the Program will
 * meet your requirements or that the operation of the Program will be
 * uninterrupted and error free. You are solely responsible that the
 * selection of the Program and the modification of the source code
 * will achieve your intended results and that the results are
 * actually obtained.
 */

#ifndef __t3rts_context_h
#define __t3rts_context_h

#ifdef __cplusplus
extern "C" {
#endif

#include <setjmp.h>
#include "t3rts_context_decl.h"
#include "t3rts_logging.h"
#include "t3rts_types.h"
#include "t3rts_binarystrings.h"
#include "t3rts_values_general.h"
#include "t3rts_activationlists.h"
#include "t3rts_sourcetracking.h"


typedef void (* t3rt_context_cleanup_function_t) (t3rt_context_t ctx);

extern const t3rt_context_t     t3rt_no_context_c;


/***************

  Public access functions

  *******************/

t3rt_type_t
t3rt_context_get_component_type(t3rt_context_t ctx);

t3rt_binary_string_t
t3rt_context_get_component_address(t3rt_context_t ctx);

const char*
t3rt_context_get_component_name(t3rt_context_t ctx);


#ifdef __cplusplus
}
#endif

#endif

/* End of File */

