/*---------------------------------------------------------------------------
 * File Name: t3rts_rtconf.h
 *
 * Copyright 2001-2004 Telelogic AB, All rights reserved.
 *
 * This Program is owned by Telelogic and is protected by national
 * copyright laws and international copyright treaties. Telelogic
 * grants you the right to use this Program on one computer or in one
 * local computer network at any one time.  Under this License you may
 * only modify the source code for the purpose of adapting it to your
 * environment. You must reproduce and include any copyright and
 * trademark notices on all copies of the source code.  You may not
 * use, copy, merge, modify or transfer the Program except as provided
 * in this License.  Telelogic does not warrant that the Program will
 * meet your requirements or that the operation of the Program will be
 * uninterrupted and error free. You are solely responsible that the
 * selection of the Program and the modification of the source code
 * will achieve your intended results and that the results are
 * actually obtained.
 */

#ifndef __t3rts_rtconf_h
#define __t3rts_rtconf_h

#ifdef __cplusplus
extern "C" {
#endif

#include <stdio.h>
#include "t3rts_common.h"
#include "t3rts_values_general.h"



/*
 * Returns a temporary copy of the value of the configuration parameter 'param_name'.
 */

t3rt_value_t
t3rt_rtconf_get_param(const char *param_name, t3rt_context_t context);

/*
 * Sets configuration parameter 'param_name' to the provided value.
 */

void
t3rt_rtconf_set_param (const char *param_name, 
                       t3rt_value_t param_value,
                       t3rt_context_t ctx);



#ifdef __cplusplus
}
#endif

#endif

/* End of File */

