/*---------------------------------------------------------------------------
 * File Name: t3rts_templates.h
 *
 * Copyright 2001-2004 Telelogic AB, All rights reserved.
 *
 * This Program is owned by Telelogic and is protected by national
 * copyright laws and international copyright treaties. Telelogic
 * grants you the right to use this Program on one computer or in one
 * local computer network at any one time.  Under this License you may
 * only modify the source code for the purpose of adapting it to your
 * environment. You must reproduce and include any copyright and
 * trademark notices on all copies of the source code.  You may not
 * use, copy, merge, modify or transfer the Program except as provided
 * in this License.  Telelogic does not warrant that the Program will
 * meet your requirements or that the operation of the Program will be
 * uninterrupted and error free. You are solely responsible that the
 * selection of the Program and the modification of the source code
 * will achieve your intended results and that the results are
 * actually obtained.
 */

#ifndef __t3rts_templates_h
#define __t3rts_templates_h

#ifdef __cplusplus
extern "C" {
#endif

#include "t3rts_common.h"

                               
t3rt_value_t
t3rt_template_set_value(t3rt_value_t template_value,
                      t3rt_value_t rhs_value,
                      t3rt_boolean_t may_be_omitted,
                      t3rt_context_t context);

                          
t3rt_value_t
t3rt_template_set_value_range(t3rt_value_t template_value,
                           t3rt_value_t lb_value,
                           t3rt_value_t ub_value,
                           t3rt_boolean_t may_be_omitted,
                           t3rt_context_t context);

                                    
t3rt_value_t
t3rt_template_set_value_list(t3rt_value_t template_value,
                          t3rt_value_t value_list[],
                          unsigned long length,
                          t3rt_value_list_kind_t kind,
                          t3rt_boolean_t may_be_omitted,
                          t3rt_context_t context);
                             
t3rt_value_t
t3rt_template_set_length_constraint(t3rt_value_t template_value,
                                t3rt_value_t min_length,
                                t3rt_value_t max_length,
                                t3rt_context_t context);

                             
t3rt_value_t
t3rt_template_set_string_pattern(t3rt_value_t template_value,
                                 t3rt_value_t pattern,
                                 t3rt_boolean_t may_be_omitted,
                                 t3rt_context_t context);


/* permutates elements inside dynamic template */
void
t3rt_template_set_permutation(t3rt_value_t template_value, 
                              const unsigned long start_index, 
                              const unsigned long size, 
                              t3rt_context_t context);

#ifdef __cplusplus
}
#endif

#endif

/* End of File */

