/*---------------------------------------------------------------------------
 * File Name: t3ud.h
 *
 * Copyright 2001-2004 Telelogic AB, All rights reserved.
 * 
 * This Program is owned by Telelogic and is protected by national
 * copyright laws and international copyright treaties. Telelogic
 * grants you the right to use this Program on one computer or in one
 * local computer network at any one time.  Under this License you may
 * only modify the source code for the purpose of adapting it to your
 * environment. You must reproduce and include any copyright and
 * trademark notices on all copies of the source code.  You may not
 * use, copy, merge, modify or transfer the Program except as provided
 * in this License.  Telelogic does not warrant that the Program will
 * meet your requirements or that the operation of the Program will be
 * uninterrupted and error free. You are solely responsible that the
 * selection of the Program and the modification of the source code
 * will achieve your intended results and that the results are
 * actually obtained.
 *
 */


#ifndef __t3ud_h
#define __t3ud_h

#ifdef __cplusplus
extern "C" {
#endif

#include "t3rts_context.h"
#include "t3rts_values_general.h"



/*
 * Registers user-provided codecs
 */

void
t3ud_register_codecs (int argc, char * argv [], t3rt_context_t ctx);



/*
 * Registers user-provided log mechanisms
 */

void
t3ud_register_log_mechanisms (int argc, char * argv []);



/*
 * Retreives any environment information and stores this in RTconf
 */
 
void
t3ud_retrieve_configuration (t3rt_context_t ctx);



/*
 * Reads the given test suite parameter for the given module and stores 
 * it in the value container
 */

t3rt_boolean_t
t3ud_read_module_param (const char * module_name,
                        const char * param_name, 
                        t3rt_value_t value, 
                        t3rt_context_t ctx);

/*
 * Writes user-provided ASCII-based timestamp to the provided binary string.
 *
 * Example:
 * struct timeb timebuffer;
 * char *timeline;
 *
 * ftime( &timebuffer );
 * timeline = ctime( & ( timebuffer.time ) );
 * t3rt_binary_string_append_nbytes(timestamp, timeline, strlen(timeline)+1, ctx);
 */

void
t3ud_make_timestamp (t3rt_binary_string_t timestamp,
                     t3rt_context_t ctx);

#ifdef __cplusplus
}
#endif

#endif

/* End of File */

