/*---------------------------------------------------------------------------
 * File Name: tci.h
 *
 * Copyright 2001-2004 Telelogic AB, All rights reserved.
 * 
 * This Program is owned by Telelogic and is protected by national
 * copyright laws and international copyright treaties. Telelogic
 * grants you the right to use this Program on one computer or in one
 * local computer network at any one time.  Under this License you may
 * only modify the source code for the purpose of adapting it to your
 * environment. You must reproduce and include any copyright and
 * trademark notices on all copies of the source code.  You may not
 * use, copy, merge, modify or transfer the Program except as provided
 * in this License.  Telelogic does not warrant that the Program will
 * meet your requirements or that the operation of the Program will be
 * uninterrupted and error free. You are solely responsible that the
 * selection of the Program and the modification of the source code
 * will achieve your intended results and that the results are
 * actually obtained.
 *
 * Description:
 *      This is the heading file for all TCI standard definitions
 */
 
#include "tci_misc.h"
#include "tci_tridata.h"
#include "tci_data.h"

#ifdef IDL_COMPILER

#ifdef TCI_REQUIRED
#include "tci_types.h"
#include "tci_values.h"
#include "tci_templates.h"
#include "tci_cd_required.h"
#include "tci_tm_required.h"
#include "tci_custom.h"
#endif

#ifdef TCI_PROVIDED
#include "tci_cd_provided.h"
#include "tci_tm_provided.h"
#include "tci_tl_provided.h"
#endif

#else

#include "tci_types.h"
#include "tci_values.h"
#include "tci_templates.h"
#include "tci_cd_required.h"
#include "tci_cd_provided.h"
#include "tci_tm_required.h"
#include "tci_tm_provided.h"
#include "tci_tl_provided.h"
#include "tci_custom.h"

#ifdef TTCN3_RTS_HEADERS_INCLUDED
#include "tci_internal.h"
#endif

#endif

