/*---------------------------------------------------------------------------
 * File Name: tci_cd_provided.h
 *
 * Copyright 2001-2004 Telelogic AB, All rights reserved.
 * 
 * This Program is owned by Telelogic and is protected by national
 * copyright laws and international copyright treaties. Telelogic
 * grants you the right to use this Program on one computer or in one
 * local computer network at any one time.  Under this License you may
 * only modify the source code for the purpose of adapting it to your
 * environment. You must reproduce and include any copyright and
 * trademark notices on all copies of the source code.  You may not
 * use, copy, merge, modify or transfer the Program except as provided
 * in this License.  Telelogic does not warrant that the Program will
 * meet your requirements or that the operation of the Program will be
 * uninterrupted and error free. You are solely responsible that the
 * selection of the Program and the modification of the source code
 * will achieve your intended results and that the results are
 * actually obtained.
 *
 * Description:
 *      This file declares TCI CD provided functions
 */
 
#ifndef __tci_cd_provided_h
#define __tci_cd_provided_h

#ifdef __cplusplus
extern "C" {
#endif

#include "tci_conditional.h"


                                           /* TCI-CD operations provided to TE */

/* Value decode (in TriMessageType message,  in Type decodingHypothesis)	
 * This operations decodes message according to the encoding rules and returns a TTCN-3 value. 
 * The decodingHypothesis shall be used to determine whether the encoded value can be decoded. 
 * If an encoding rule is not self-sufficient, 
 * i.e. if the encoded message does not inherently contain its type decodingHypothesis shall be used. 
 * If the encoded value can be decoded without the decoding hypothesis, 
 * the distinct null value shall be returned if the type determined from the encoded message 
 * is not compatible with the decoding hypothesis.
*/


TciValue T3TCI(tciDecode)(IDL_ATTRIB(in) BinaryString message, 
						  IDL_ATTRIB(in) TciType decHypothesis);

/* TriMessageType encode (in Value value)	
 * Returns an encoded TriMessage according to the encoding rules.
*/

BinaryString T3TCI(tciEncode) (IDL_ATTRIB(in) TciValue value);	

#ifdef __cplusplus
}
#endif

#endif
