/*---------------------------------------------------------------------------
 * File Name: tci_conditional.h
 *
 * Copyright 2001-2004 Telelogic AB, All rights reserved.
 * 
 * This Program is owned by Telelogic and is protected by national
 * copyright laws and international copyright treaties. Telelogic
 * grants you the right to use this Program on one computer or in one
 * local computer network at any one time.  Under this License you may
 * only modify the source code for the purpose of adapting it to your
 * environment. You must reproduce and include any copyright and
 * trademark notices on all copies of the source code.  You may not
 * use, copy, merge, modify or transfer the Program except as provided
 * in this License.  Telelogic does not warrant that the Program will
 * meet your requirements or that the operation of the Program will be
 * uninterrupted and error free. You are solely responsible that the
 * selection of the Program and the modification of the source code
 * will achieve your intended results and that the results are
 * actually obtained.
 *
 * Description:
 *      This file declares conditional definitions that are
 *      used to process TCI definitions with IDL compiler
 */
 
#ifndef __tci_conditional_h
#define __tci_conditional_h

#define T3TCI_PREFIXED(function) t3##function

#ifdef IDL_COMPILER

#define IDL_ATTRIB(attribute) [attribute]
#define IDL_ATTRIB2(attribute1,attribute2) [attribute1,attribute2]
#define T3TCI(function) T3TCI_PREFIXED(function)
#define P_VOID unsigned long int

#else

#define IDL_ATTRIB(attribute)
#define IDL_ATTRIB2(attribute1,attribute2)
#define T3TCI(function) function
#define P_VOID void*


#define TCI_LOCAL_MODE

#endif

#endif
