/*---------------------------------------------------------------------------
 * File Name: tci_custom.h
 *
 * Copyright 2001-2004 Telelogic AB, All rights reserved.
 * 
 * This Program is owned by Telelogic and is protected by national
 * copyright laws and international copyright treaties. Telelogic
 * grants you the right to use this Program on one computer or in one
 * local computer network at any one time.  Under this License you may
 * only modify the source code for the purpose of adapting it to your
 * environment. You must reproduce and include any copyright and
 * trademark notices on all copies of the source code.  You may not
 * use, copy, merge, modify or transfer the Program except as provided
 * in this License.  Telelogic does not warrant that the Program will
 * meet your requirements or that the operation of the Program will be
 * uninterrupted and error free. You are solely responsible that the
 * selection of the Program and the modification of the source code
 * will achieve your intended results and that the results are
 * actually obtained.
 *
 * Description:
 *      This file declares custom Telelogic AB functions that
 *      are not part of TCI standard
 */
 
#ifndef __tci_custom_h
#define __tci_custom_h

#ifdef __cplusplus
extern "C" {
#endif

#include "tci_conditional.h"

#ifdef TCI_LOCAL_MODE

/* 
 * int tciInit(int argc, char *argv[])
 *
 * General initialization function for TCI interface
 * Should be called outside any RTS function
 * No TCI functions should be called pror to tciInit()
*/

int tciInit(int argc, char *argv[]);

/*
 * void tciFinalize()
 *
 * General finalization function for TCI interface
 * No TCI functions should be called after tciFinalize()
*/


void tciFinalize();

/*
 * void *tciMemoryAllocate(unsigned long bytes)
 *
 * This function allocates memory block in temporary memory area
 * It's just a wrapper to t3rt_memory_temp_allocate() function
 * 
*/

void *tciMemoryAllocate(unsigned long bytes);


/* 
 * int tciStartTestsuiteServer(int argc, char *argv[])
 *
 * Main function for Tester GUI controled testsuite execution
 *
 * main() function in ETS should like like:
 *  int main(int argc, char *argv[]) {
 *    return tciStartTestsuiteServer(argc, argv);
 *  }
 *
 * Initialization of TCI interface is done inside tciStartTestsuiteServer() function
 *
*/

int tciStartTestsuiteServer(int argc, char *argv[]);

#endif


#ifdef __cplusplus
}
#endif

#endif
