/*---------------------------------------------------------------------------
 * File Name: tci_templates.h
 *
 * Copyright 2001-2004 Telelogic AB, All rights reserved.
 * 
 * This Program is owned by Telelogic and is protected by national
 * copyright laws and international copyright treaties. Telelogic
 * grants you the right to use this Program on one computer or in one
 * local computer network at any one time.  Under this License you may
 * only modify the source code for the purpose of adapting it to your
 * environment. You must reproduce and include any copyright and
 * trademark notices on all copies of the source code.  You may not
 * use, copy, merge, modify or transfer the Program except as provided
 * in this License.  Telelogic does not warrant that the Program will
 * meet your requirements or that the operation of the Program will be
 * uninterrupted and error free. You are solely responsible that the
 * selection of the Program and the modification of the source code
 * will achieve your intended results and that the results are
 * actually obtained.
 *
 * Description:
 *      This file declares TCI functions used to process templates
 */
 
#ifndef __tci_templates_h
#define __tci_templates_h

#ifdef __cplusplus
extern "C" {
#endif

#include "tci_conditional.h"

/***************************************************************
*   Generic TCI Value and Nonvalue Template operations
***************************************************************/

/* tciIsOmit
 * Note: name changed to preserve globally unique names 
 *       for ValueTemplate and NonValueTemplate abstract types
 *
 * Returns true if the template is an omit template.
*/

unsigned char T3TCI(tciIsOmitValueTemplate) (IDL_ATTRIB(in) TciValueTemplate inst);

/* tciIsAny
 * Note: name changed to preserve globally unique names 
 *       for ValueTemplate and NonValueTemplate abstract types
 *
 * Returns true if the template is an any template.
*/

unsigned char T3TCI(tciIsAnyValueTemplate) (IDL_ATTRIB(in) TciValueTemplate inst);

/* tciIsAnyOrOmit
 * Note: name changed to preserve globally unique names 
 *       for ValueTemplate and NonValueTemplate abstract types
 *
 * Returns true if the template is an any or omit template.
*/

unsigned char T3TCI(tciIsAnyOrOmitValueTemplate) (IDL_ATTRIB(in) TciValueTemplate inst);

/* tciGetTemplateDef
 * Note: name changed to preserve globally unique names 
 *       for ValueTemplate and NonValueTemplate abstract types
 *
 * Returns the definition of that template.
*/

String T3TCI(tciGetValueTemplateDef) (IDL_ATTRIB(in) TciValueTemplate inst);

/* tciIsAny
 * Note: name changed to preserve globally unique names 
 *       for ValueTemplate and NonValueTemplate abstract types
 *
 * Returns true if the template is an any template.
*/

unsigned char T3TCI(tciIsAnyNonValueTemplate) (IDL_ATTRIB(in) TciNonValueTemplate inst);

/* tciIsAll
 * Note: name changed to preserve globally unique names 
 *       for ValueTemplate and NonValueTemplate abstract types
 *
 * Returns true if the template is an all template.
*/

unsigned char T3TCI(tciIsAllNonValueTemplate) (IDL_ATTRIB(in) TciNonValueTemplate inst);

/* tciGetTemplateDef
 * Note: name changed to preserve globally unique names 
 *       for ValueTemplate and NonValueTemplate abstract types
 *
 * Returns the definition of that template.
*/

String T3TCI(tciGetNonValueTemplateDef) (IDL_ATTRIB(in) TciNonValueTemplate inst);

#ifdef __cplusplus
}
#endif
								
#endif
